Package icyllis.arc3d.engine.trash

# Class Processor

java.lang.Object
icyllis.arc3d.engine.trash.Processor

Direct Known Subclasses:
  `TransferProcessor`

@Deprecated @Immutable public abstract class Processor extends Object
Deprecated.
Provides custom shader code to the Arc3D shading pipeline. Processor objects must be immutable: after being constructed, their fields may not change.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `Circle_Geom_ClassID`
  Deprecated.
  Class IDs.
  `static final int`
  `CircularRRect_Geom_ClassID`
  Deprecated.
  Class IDs.
  `static final int`
  `DefaultGeoProc_ClassID`
  Deprecated.
  Class IDs.
  `static final int`
  `Hard_XferProc_ClassID`
  Deprecated.
  Class IDs.
  `protected final int`
  `mClassID`
  Deprecated.
  `static final int`
  `Null_ClassID`
  Deprecated.
  Class IDs.
  `static final int`
  `RoundRect_GeoProc_ClassID`
  Deprecated.
  Class IDs.
  `static final int`
  `SDFRect_GeoProc_ClassID`
  Deprecated.
  Class IDs.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Processor(int classID)`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Null_ClassID

    public static final int Null_ClassID
    Deprecated.
    Class IDs.
    See Also:
      - Constant Field Values

  - ### CircularRRect_Geom_ClassID

    public static final int CircularRRect_Geom_ClassID
    Deprecated.
    Class IDs.
    See Also:
      - Constant Field Values

  - ### Circle_Geom_ClassID

    public static final int Circle_Geom_ClassID
    Deprecated.
    Class IDs.
    See Also:
      - Constant Field Values

  - ### RoundRect_GeoProc_ClassID

    public static final int RoundRect_GeoProc_ClassID
    Deprecated.
    Class IDs.
    See Also:
      - Constant Field Values

  - ### DefaultGeoProc_ClassID

    public static final int DefaultGeoProc_ClassID
    Deprecated.
    Class IDs.
    See Also:
      - Constant Field Values

  - ### SDFRect_GeoProc_ClassID

    public static final int SDFRect_GeoProc_ClassID
    Deprecated.
    Class IDs.
    See Also:
      - Constant Field Values

  - ### Hard_XferProc_ClassID

    public static final int Hard_XferProc_ClassID
    Deprecated.
    Class IDs.
    See Also:
      - Constant Field Values

  - ### mClassID

    protected final int mClassID
    Deprecated.

- ## Constructor Details

  - ### Processor

    protected Processor(int classID)
    Deprecated.